Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.plugin
Class NewPlugin

    java.lang.Object
      ij.plugin.NewPlugin

All Implemented Interfaces:
  PlugIn

public class NewPlugin
extends java.lang.Object
implements PlugIn

This class creates a new macro or the Java source for a new plugin.

Field Summary
`static int` | `MACRO`
`static int` | `PLUGIN`
`static int` | `PLUGIN_FILTER`
`static int` | `PLUGIN_FRAME`
`static int` | `TABLE`
`static int` | `TEXT_FILE`

Constructor Summary
`NewPlugin()`

Method Summary
`void` | `createMacro(java.lang.String name)`
`void` | `createPlugin(java.lang.String name, int type, java.lang.String methods)`
`Editor` | `getEditor()` Returns the Editor the newly created macro or plugin was opened in.
`void` | `run(java.lang.String arg)` This method is called when the plugin is loaded.
`boolean` | `showDialog()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MACRO

    public static final int MACRO

See Also:
  Constant Field Values

### PLUGIN

    public static final int PLUGIN

See Also:
  Constant Field Values

### PLUGIN_FILTER

    public static final int PLUGIN_FILTER

See Also:
  Constant Field Values

### PLUGIN_FRAME

    public static final int PLUGIN_FRAME

See Also:
  Constant Field Values

### TEXT_FILE

    public static final int TEXT_FILE

See Also:
  Constant Field Values

### TABLE

    public static final int TABLE

See Also:
  Constant Field Values

Constructor Detail

### NewPlugin

    public NewPlugin()

Method Detail

### run

    public void run(java.lang.String arg)

  Description copied from interface: `PlugIn`
  This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

  Specified by:
    `run` in interface `PlugIn`

### createMacro

    public void createMacro(java.lang.String name)

### createPlugin

    public void createPlugin(java.lang.String name,
                             int type,
                             java.lang.String methods)

### showDialog

    public boolean showDialog()

### getEditor

    public Editor getEditor()

  Returns the Editor the newly created macro or plugin was opened in.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD